손상된 Citrix Receiver 설치 수정

다른 문제를 테스트하는 동안 Citrix Receiver 3.4 Enterprise를 제거한 후 어떻게 든 설치를 손상 시켰습니다.

다시 설치를 시도했지만 다음 오류로 인해 비참하게 실패한 경우 :

"이 버전의 Receiver가 이전에 설치 한 버전과 호환되지 않기 때문에 설치를 계속할 수 없습니다"

이 버전의 Receiver가 이전에 설치 한 버전과 호환되지 않기 때문에 설치를 계속할 수 없습니다

그렇다면이 문제를 어떻게 해결할 수 있었습니까?

모든 수신기 설치 문제와 마찬가지로 아래에있는 트롤리 익스프레스 로그 파일을 검토해야합니다.

C : UsersusernameAppDataLocalTemp 11:03:55 : 정보 - CApp :: CheckIfAClientPackageIsInstalled (1001) - 13.1 이상의 패키지가 설치되어 있는지 확인. 11:03:55 : 정보 - CApp :: ReadInstalledPackageVersion (1081) - 기존 13.4.0.25 패키지를 찾았습니다. CApp :: CheckIfAClientPackageIsInstalled (1057) - 기존 13.4.0.25 패키지를 찾았습니다. 설치를 계속할 수 없습니다.

로그 파일에서 우리는 기존 패키지가 발견되어 설치가 실패한 것을 볼 수 있습니다 (위의 오류 메시지와 동일합니다!). 우리는 상황을 조작 할 수 있도록 TrolleyExpress가 그 정보를 읽는 곳을 알아야하며, 그 최선의 도구는 procmon (프로세스 모니터라고도 함)입니다.

나는 트롤리 express.exe를 신속하게 필터링하고 설치를 다시 시도했다. 우리는 다양한 키와 파일에 접근하려고 시도하는 프로세스가 데이터를 읽는 위치임을 알 수 있습니다.

우리는 다양한 키와 파일에 접근하려고 시도하는 프로세스가 데이터를 읽는 위치임을 알 수 있습니다

해결 방법은 설치를 계속할 수 있도록 아래의 reg 키를 삭제하는 것입니다.

HKEY_LOCAL_MACHINESOFTWAREMicrosoftWindowsCurrentVersionUninstallCitrixOnlinePluginFull

이제 설치를 다시 실행하면 성공으로 완료됩니다.

이제 설치를 다시 실행하면 성공으로 완료됩니다

당신도 아마 유사한 서적을 곧 support.citrix.com에서 보게 될 것입니다 (당연히 저).

Новости

Где купить держатель для смартфона

Любой смартфон давно превратился неотъемлемым атрибутом повседневной жизни, который помогает не только поддерживать непрерывную связь с необходимыми людьми. Он также позволяет постоянно быть информированным